### R code from vignette source 'BiomarkeR.Rnw'

###################################################
### code chunk number 1: BiomarkeR.Rnw:17-19
###################################################
library(BiomarkeR)
data(BIdata)


###################################################
### code chunk number 2: BiomarkeR.Rnw:28-31
###################################################
pbi.scores <- pBI(dataset=pbi.data, classlabels=pbi.class, 
referenceclasslabel="rest", ids=pbi.id, useMedian = TRUE, 
lambda = 100, plotScores = TRUE, numTopRankedToPlot = 5)


###################################################
### code chunk number 3: BiomarkeR.Rnw:35-43
###################################################
scores <- pBI(dataset=pbi.data, classlabels=pbi.class, referenceclasslabel="rest", ids=pbi.id, useMedian = TRUE, lambda = 100, plotScores = FALSE, numTopRankedToPlot = 5)
numTopRanked <- 5
zoom <- 1
scoresRanked <- scores[match(sort(abs(scores), decreasing = TRUE), abs(scores))]
scoresTopRanked <- scoresRanked[1:numTopRanked]
cols <- ifelse(scoresTopRanked >= 0, "red", "blue")
method = "pBI"
barplot(scoresTopRanked, main =paste(method, " scores (top ", numTopRanked, "ranked attributes)", sep=" "), ylab=method, col=cols, cex.axis = zoom, cex.names=zoom, cex.lab=zoom, cex.main=zoom)  


###################################################
### code chunk number 4: BiomarkeR.Rnw:52-55
###################################################
ubi.scores <- uBI(dataset=ubi.data, classlabels=ubi.class, 
referenceclasslabel="control", useMedian = TRUE, lambda = 100, 
plotScores = TRUE, numTopRankedToPlot = 5)


###################################################
### code chunk number 5: BiomarkeR.Rnw:59-67
###################################################
scores <- uBI(dataset=ubi.data, classlabels=ubi.class, referenceclasslabel="control", useMedian = TRUE, lambda = 100, plotScores = FALSE, numTopRankedToPlot = 5)
numTopRanked <- 5
zoom <- 1
scoresRanked <- scores[match(sort(abs(scores), decreasing = TRUE), abs(scores))]
scoresTopRanked <- scoresRanked[1:numTopRanked]
cols <- ifelse(scoresTopRanked >= 0, "red", "blue")
method = "uBI"
barplot(scoresTopRanked, main =paste(method, " scores (top ", numTopRanked, "ranked attributes)", sep=" "), ylab=method, col=cols, cex.axis = zoom, cex.names=zoom, cex.lab=zoom, cex.main=zoom)  


###################################################
### code chunk number 6: BiomarkeR.Rnw:75-79
###################################################
g <- pBIGraph(dataset=pbi.data, classlabels=pbi.class, 
referenceclasslabel="rest", ids=pbi.id, useMedian = TRUE,  
lambda = 100, threshold = "73", plotGraph = FALSE, edge.file = NULL)
plot(g,layout=layout.fruchterman.reingold)


###################################################
### code chunk number 7: BiomarkeR.Rnw:83-89
###################################################
g <- pBIGraph(dataset=pbi.data, classlabels=pbi.class, 
referenceclasslabel="rest", ids=pbi.id, useMedian = TRUE,  
lambda = 100, threshold = "73", plotGraph = FALSE, edge.file = NULL)
plot(g, layout=layout.fruchterman.reingold, vertex.label.family="Helvetica",
     edge.label.family="Helvetica", vertex.label.cex=0.7,
     edge.label.cex=0.7)


